=== debian/control ===
Source: gr-funcube
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
	       dh-python,
               doxygen,
               gnuradio (>=3.9),
               gnuradio-dev (>> 3.9),
               libasound2-dev,
               libboost-dev,
               libboost-filesystem-dev,
	       libboost-program-options-dev,
	       libboost-regex-dev,
               libboost-system-dev,
	       libboost-thread-dev,
	       libgmp-dev,
               libhidapi-dev,
	       libjack-dev,
               liblog4cpp5-dev,
	       liborc-0.4-dev,
	       libpulse-dev,
	       libsndfile1-dev,
               libusb-1.0-0-dev,
               pkg-config,
	       portaudio19-dev,
               python3-dev,
	       python3-numpy,
	       python3-six
Standards-Version: 4.6.0
Homepage: https://github.com/dl1ksv/gr-funcube
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-funcube
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-funcube.git

Package: gr-funcube
Architecture: any
Depends: ${python3:Depends},
	 libgnuradio-funcube1.0.0 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, udev
Description: Funcube Dongle controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle and Funcube Dongle Pro+ are supported
 by this package.
 .
 This package provides a Python library as well as
 a gnuradio companion source object.

Package: libgnuradio-funcube1.0.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-funcube
Description: Funcube Dongle controller for GNU Radio (runtime)
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle and Funcube Diongle Pro+ are supported
 by this package.
 .
 This package provides a shared library.
