=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gr-funcube_$1.orig.tar.gz%" \
 https://github.com/dl1ksv/gr-funcube/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
