## gr-funcube 3.10.0~rc2

=== debian/changelog ===
gr-funcube (3.10.0~rc2-3) unstable; urgency=medium

  * Upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 23 Aug 2022 16:32:35 -0400

gr-funcube (3.10.0~rc2-2) experimental; urgency=medium

  * Fix-build-with-fmt-9.0.0 (Closes: #1017802)
  * Bump soversion to match upstream
    - upload to experimental with new libgnuradio-funcube3.10.0
  * Cleanup packaging, fix spelling
  * Update standards version to 4.6.1, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Aug 2022 11:18:15 -0400

gr-funcube (3.10.0~rc2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fixes FTBFS with gcc 12. (Closes: #1012940)
  * Remove debian/patches/*, they no longer apply.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Aug 2022 15:06:38 +0200
