=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                debhelper-compat (= 13),
 	       dh-python,
                doxygen,
-               gnuradio (>=3.9),
-               gnuradio-dev (>> 3.9),
+               gnuradio (>=3.10),
+               gnuradio-dev (>> 3.10),
                libasound2-dev,
                libboost-dev,
                libboost-filesystem-dev,
@@ -29,7 +29,7 @@
                python3-dev,
 	       python3-numpy,
 	       python3-six
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/dl1ksv/gr-funcube
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-funcube
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-funcube.git
@@ -37,7 +37,7 @@
 Package: gr-funcube
 Architecture: any
 Depends: ${python3:Depends},
-	 libgnuradio-funcube1.0.0 (=${binary:Version}),
+	 libgnuradio-funcube3.10.0 (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnuradio, gr-osmosdr, udev
@@ -52,8 +52,9 @@
  This package provides a Python library as well as
  a gnuradio companion source object.
 
-Package: libgnuradio-funcube1.0.0
+Package: libgnuradio-funcube3.10.0
 Architecture: any
+Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-funcube
