=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-funcube
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(FILES
    funcube_fcd.block.yml
    funcube_fcd_control.block.yml
    funcube_fcdpp.block.yml
    funcube_fcdpp_control.block.yml DESTINATION share/gnuradio/grc/blocks
)
