=== debian/changelog ===
gr-funcube (3.10.0~rc3-4) unstable; urgency=medium

  [ A.Maitland Bottoms ]
  * clean up after Doxygen (Closes: #1044735)

  [ Janitor ]
  * update Standards-Version to 4.6.2
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2024 18:15:35 -0500

gr-funcube (3.10.0~rc3-3) unstable; urgency=medium

  * expect some python tests to fail

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 19 Jul 2023 23:00:54 -0400

gr-funcube (3.10.0~rc3-2) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Sep 2022 08:03:00 -0400

gr-funcube (3.10.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * Go ahead and update library name with soversion
    for clean upgrade path (Closes: #1018773).
  * Register gr-funcube HTML documentation with doc-base
  * patch to ensure CMake library helpers get installed with gnuradio
  * update Standards-Version to 4.6.1
  * upload to experimental for ABI bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Sep 2022 11:18:25 -0400
