=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                debhelper-compat (= 13),
 	       dh-python,
                doxygen,
-               gnuradio (>=3.10),
-               gnuradio-dev (>> 3.10),
+               gnuradio (>=3.9),
+               gnuradio-dev (>> 3.9),
                libasound2-dev,
                libboost-dev,
                libboost-filesystem-dev,
@@ -19,17 +19,15 @@
 	       libgmp-dev,
                libhidapi-dev,
 	       libjack-dev,
-               liblog4cpp5-dev,
 	       liborc-0.4-dev,
 	       libpulse-dev,
 	       libsndfile1-dev,
                libusb-1.0-0-dev,
-               pkg-config,
+               pkgconf,
 	       portaudio19-dev,
                python3-dev,
-	       python3-numpy,
-	       python3-six
-Standards-Version: 4.6.1
+	       python3-numpy
+Standards-Version: 4.6.2
 Homepage: https://github.com/dl1ksv/gr-funcube
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-funcube
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-funcube.git
@@ -53,8 +51,8 @@
  a gnuradio companion source object.
 
 Package: libgnuradio-funcube3.10.0
+Section: libs
 Architecture: any
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-funcube
