=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release"
 
-override_dh_install:
-	rm -f debian/tmp/usr/lib/python3/dist-packages/funcube/*.pyc
-	rm -f debian/tmp/usr/lib/python3/dist-packages/funcube/*.pyo
-	dh_install
+override_dh_auto_test:
+	- dh_auto_test
+
+override_dh_auto_clean:
+	rm -rf docs/doxygen/doxyxml/__pycache__
+	rm -rf docs/doxygen/doxyxml/generated/__pycache__
+	dh_auto_clean $@
